/*
 * $Id: Counter.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/03/29
 */
package feat2.testapp.test2;

import feat2.CommandContext;
import feat2.Effector;

public class Counter implements Effector {

    private static int count = 0;
    private static Object lock = new Object();

    public Object execute(CommandContext ctx) {
        synchronized (lock) {
            count++;
        }
        return Integer.toString(count);
    }

}
